# DARestoreGlobalVector

Returns a Seq PETSc vector that obtained from DAGetGlobalVector(). Do not use with vector obtained via DACreateGlobalVector().

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DARestoreGlobalVector(DA da,Vec* g)

Not Collective

### Input Parameter

| da | - the distributed array
| g | - the global vector

### Keywords

distributed array, create, global, vector

### See Also

DACreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DACreate1d(), DACreate2d(), DACreate3d(), DAGlobalToGlobalBegin(), DAGlobalToGlobalEnd(), DAGlobalToGlobal(), DACreateLocalVector(), DAGetGlobalVector()

Level:beginner
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html